import qtawesome as qta
from PyQt5 import QtGui, QtWidgets
from playtypus.mainwindow import MainWindow


def main():
    """Main"""
    app = QtWidgets.QApplication([])
    # Set up icon colours
    palette = app.palette()
    qta.set_defaults(color=palette.color(QtGui.QPalette.Active,
                                         QtGui.QPalette.WindowText),
                     color_disabled=palette.color(QtGui.QPalette.Disabled,
                                                  QtGui.QPalette.WindowText))
    # Create the main window and run the app
    main_window = MainWindow()
    main_window.show()
    return app.exec()
